Subject: [bug#55242] [PATCH 07/10] guix: import: go: More resilience wrt network errors; add logging.

From: Maxime Devos <[email-masked]>
Date: Tue, 03 May 2022 18:36:31 +0200

Attila Lendvai schreef op di 03-05-2022 om 13:42 [+0200]:
> * guix/import/go.scm (go-module->guix-package*): Catch exceptions and retry in
> case of network errors. Add ability to enable printing a full backtrace when
> debugging.
> (go-module->guix-package): Tolerate the inability to fetch the synopsis and
> description.

Ok, but couldn't this be done more generally, for all importers using
HTTP?  E.g., could we have a variant 'http-fetch/retrying' of 'http-
fetch' that automatically retries a number of times?  Then the retrying
functionality could almost trivially be used in other HTTP-using
importers as well.

Greetings,
Maxime.